import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceJahadSubmitAllocationGetUsers = createAsyncThunk(
  "SLAUGHTER_GET_GUILDS_FOR_ALLOCATE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "LiveStock/jahad/get_user_live_stock/",
      {
        params: d,
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
